<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <!-- 配置mysql 驱动jar包路径.用了绝对路径 -->
    <classPathEntry location="/Users/zhoujianwei/.m2/repository/postgresql/postgresql/9.2-1002.jdbc4/postgresql-9.2-1002.jdbc4.jar" />

    <context id="wangyongzhi_mysql_tables" targetRuntime="MyBatis3">
        <!-- 防止生成的代码中有很多注释，加入下面的配置控制 -->
        <commentGenerator>
            <property name="suppressAllComments" value="true" />
            <property name="suppressDate" value="true" />
        </commentGenerator>

        <!-- 数据库连接 -->
        <!--                        connectionURL="jdbc:mysql://localhost:3306/vueblog2?useUnicode=true&amp;characterEncoding=UTF-8"-->
        <jdbcConnection driverClass="org.postgresql.Driver"
                        connectionURL="jdbc:postgresql://10.5.52.6:5432/rsclouds_platform"
                        userId="postgres"
                        password="root">
            <property name="nullCatalogMeansCurrent" value="true"/>
        </jdbcConnection>

        <javaTypeResolver >
            <property name="forceBigDecimals" value="false" />
        </javaTypeResolver>

        <!-- 数据表对应的model层  -->
        <javaModelGenerator targetPackage="com.upyuns.platform.rs.datacenter.entity" targetProject="/Users/zhoujianwei/opt/rscp/">
            <property name="enableSubPackages" value="true" />
            <property name="trimStrings" value="true" />
        </javaModelGenerator>

        <!-- sql mapper 映射配置文件 -->
        <sqlMapGenerator targetPackage="com.upyuns.platform.rs.datacenter.mapper"  targetProject="/Users/zhoujianwei/opt/rscp/">
            <property name="enableSubPackages" value="true" />
        </sqlMapGenerator>

        <!-- mybatis3中的mapper接口 -->
        <javaClientGenerator type="XMLMAPPER" targetPackage="com.upyuns.platform.rs.datacenter.mapper"  targetProject="/Users/zhoujianwei/opt/rscp/">
            <property name="enableSubPackages" value="true" />
        </javaClientGenerator>

<!--        <table schema="public" tableName="rscp_mosaicimage" domainObjectName="RscpMosaicimage"-->
<!--               enableCountByExample="false" enableUpdateByExample="false"-->
<!--               enableDeleteByExample="false" enableSelectByExample="false"-->
<!--               selectByExampleQueryId="false">-->
<!--        </table>-->
        <table schema="public" tableName="rscp_monitorimage" domainObjectName="RscpMonitorimage"
               enableCountByExample="false" enableUpdateByExample="false"
               enableDeleteByExample="false" enableSelectByExample="false"
               selectByExampleQueryId="false">
        </table>

    </context>
</generatorConfiguration>